Skip to main content
`Ctrl`+`K`

# MatInodeGetInodeSizes

Returns the inode information of a matrix with inodes

## Synopsis

    PetscErrorCode MatInodeGetInodeSizes(Mat A, PetscInt *node_count, PetscInt *sizes[], PetscInt *limit)

Not Collective

## Input Parameter

- A - the Inode matrix or matrix derived from the Inode class – e.g., `MATSEQAIJ`

## Output Parameters

- node_count - no of inodes present in the matrix.

- sizes - an array of size `node_count`, with the sizes of each inode.

- limit - the max size used to generate the inodes.

## Note

It should be called after the matrix is assembled. The contents of the sizes[] array should not be changed. `NULL` may be passed for information not needed

## See Also

Matrices, `Mat`, `MatGetInfo()`

## Level

advanced

## Location

src/mat/impls/aij/seq/inode.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages